<?php

	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
		 if($game==0 OR $level==0 OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
   {
		function doklad($level)

	{
		if($level==0)$status='Общие';
		if($level==1)$status='Население';
		if($level==2)$status='Обучение';
		if($level==3)$status='Торговые отношения';
		if($level==4)$status='Войны и разведка';
		return $status;
	}
	switch ($act) {
	default:
	echo "<title>Доклады</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>'; 
	echo '<div class="top-nav1"><b>Доклады</b></div>';
	echo '<div class="razd"></div>';
	echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=proch"><b>Отметить все как прочитанное</b></a><br/></div>';
	echo '<div class="razd"></div>';
	echo '<div class="razd"></div>';
	//Общие
	$doklad = mysql_result(mysql_query("SELECT COUNT(*) FROM `doklad` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `proch`=0 AND `type`=0;"), 0);
	echo '<div class="blok1">';
	echo '<img src="../images/icon/menu.png" alt="" /> <a href="?act=list&amp;id=0"><b>Общие</b></a>';
	if($doklad!=0)echo ' <font color="#4EEE94">[+'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($doklad))))))).']</font>';
	echo '</div>';
	echo '<div class="razd"></div>';
	echo '<div class="razd"></div>';
	//Население
	$doklad1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `doklad` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `proch`=0 AND `type`=1;"), 0);
	echo '<div class="blok1">';
	echo '<img src="../images/icon/menu.png" alt="" /> <a href="?act=list&amp;id=1"><b>Население</b></a>';
	if($doklad1!=0)echo ' <font color="#4EEE94">[+'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(($doklad1)))))))).']</font>';
	echo '</div>';
	echo '<div class="razd"></div>';
	echo '<div class="razd"></div>';
	//Обучение
	$doklad2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `doklad` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `proch`=0 AND `type`=2;"), 0);
	echo '<div class="blok1">';
	echo '<img src="../images/icon/menu.png" alt="" /> <a href="?act=list&amp;id=2"><b>Обучение</b></a>';
	if($doklad2!=0)echo ' <font color="#4EEE94">[+'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($doklad2))))))).']</font>';
	echo '</div>';
	echo '<div class="razd"></div>';
	echo '<div class="razd"></div>';
	//Торговые отношения
	$doklad3 = mysql_result(mysql_query("SELECT COUNT(*) FROM `doklad` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `proch`=0 AND `type`=3;"), 0);
	echo '<div class="blok1">';
	echo '<img src="../images/icon/menu.png" alt="" /> <a href="?act=list&amp;id=3"><b>Биржа</b></a>';
	if($doklad3!=0)echo ' <font color="#4EEE94">[+'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($doklad3))))))).']</font>';
	echo '</div>';
	echo '<div class="razd"></div>';
	echo '<div class="razd"></div>';
	//Войны и разведка
	$doklad4 = mysql_result(mysql_query("SELECT COUNT(*) FROM `doklad` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `proch`=0 AND `type`=4;"), 0);
	echo '<div class="blok1">';
	echo '<img src="../images/icon/menu.png" alt="" /> <a href="?act=list&amp;id=4"><b>Войны и разведка</b></a>';
	if($doklad4!=0)echo ' <font color="#4EEE94">[+'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($doklad4))))))).']</font>';
	echo '</div>';
	echo '<div class="razd"></div>';
	break;
	case 'list':
	$d=$_GET['id'];
	if(doklad($d)!=''){
	echo "<title>Доклад: ".doklad($d)."</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="doklad.php"><b>Доклады</b></a> | <font color="#4EEE94"><b>'.doklad($d).'</b></font></div>';
	echo '<div class="razd"></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `doklad` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($d)))))))."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `doklad` WHERE `uid`='".$use_id."' AND `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($d)))))))."' ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<center><div class="window">'.rasa($rasa).' <span class="'.crasa($rasa).'">'.dates($row['time']).'</span><br/>';
					echo ''.$row['text'].'';
					echo '</div></center>'; 
					if($row['proch']==0)mysql_query("UPDATE `doklad` SET `proch`='1' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."'");
					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?act=list&amp;id='.check($d).'&amp;'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('<center><b>Докладов нет!</b></center>','window');
			}}
	break;
		case 'proch':
	echo "<title>Непрочитанные доклады</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="doklad.php"><b>Доклады</b></a> | <font color="#4EEE94"><b>Непрочитанные доклады</b></font></div>';
	echo '<div class="razd"></div>';
	$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите отметить все новые доклады как прочитанные?<br/>';
							echo '<a href="?act=proch&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="doklad.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	mysql_query("UPDATE `doklad` SET `proch`='1' WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."'");	
	header("Location: doklad.php");
							}
	break;
	}
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>